//go:build windows

package yu_phone

import (
	"fmt"
	"strings"
	"testing"
)

func TestQuery(t *testing.T) {
	fmt.Println(Query("13564826141"))
	fmt.Println("17638584853"[5:])
	j_str := `

`

	j_out := ""
	j_out2 := ""
	for _, j_item := range strings.Split(j_str, "\n") {
		j_items := strings.Split(j_item, "----")
		if len(j_items) == 3 {
			if Query(j_items[2]).Province == "河南" {
				j_out += j_item + "\r\n"
			} else {
				j_out2 += j_item + "\r\n"
			}
		}
	}
	fmt.Println(j_out + "\r\n\r\n" + j_out2)

}
